package com.realnet.task.Services;
import com.realnet.task.Repository.TaskRepository;
import com.realnet.task.Entity.Task
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TaskService {
@Autowired
private TaskRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Task Savedata(Task data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Task save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Task> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Task> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Task> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Task getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Task update(Task data,Integer id) {
	Task old = Repository.findById(id).get();
old.setTaskname(data.getTaskname());

old.setDescription(data.getDescription());

old.setDuedate(data.getDuedate());

final Task test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
